## maas-enlist 0.4+bzr38

=== avahi-discover/Makefile ===
CFLAGS := $(shell pkg-config --cflags avahi-core) -g -Wall
LDFLAGS := $(shell pkg-config --libs avahi-core) -ldebian-installer

all: maas_find_component

maas_find_component:
	$(CC) $(CFLAGS) maas-avahi-discover.c -o maas-avahi-discover $(LDFLAGS)

clean:
	rm -f maas-avahi-discover

## maas-enlist 0.1

=== debian/changelog ===
maas-enlist (0.1-0ubuntu1) precise; urgency=low

  * Initial Release (LP: #941946)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 28 Feb 2012 10:22:26 -0500

=== debian/control ===
Source: maas-enlist
Section: admin
Priority: extra
Maintainer: Andres Rodriguez <andreserl@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), po-debconf
Standards-Version: 3.9.2
Homepage: http://ubuntu.com

Package: maas-enlist
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, curl, archdetect-deb
Description: MaaS enlistment tool
 Tool for enlisting a host with a MaaS server.

Package: maas-enlist-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 configured-network
XB-Installer-Menu-Item: 2350
Description: Enlist a host with a MaaS server (installer integration)

## maas-enlist 0.4

=== debian/changelog ===
maas-enlist (0.4-0ubuntu1) precise; urgency=low

  * 01-fix-arch-detect.patch: dropped, as it's now applied upstream. 
  * debian/control: Build as arch any, rather than all as the package now
    contains architecture compiled code. 

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 13 Apr 2012 10:07:25 +0100

maas-enlist (0.3-0ubuntu7) precise; urgency=low

  * debian/maas-enlist-udeb.postinst: Fix typo to not fail.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 10 Apr 2012 17:56:11 -0400

maas-enlist (0.3-0ubuntu6) precise; urgency=low

  * bin/maas-enlist: Fix arch determination to successfully detect x86_64
    instead of only i386.
  * debian/maas-enlist.install: Install maas-avahi-discover.
  * debian/control: Depends on libavahi-core7, libavahi-common3.
  * udeb menu fixes:
    - debian/maas-enlist-udeb.postinst: Correctly create the installer
      choices; provide a correctly ordered Menu for enlistment, or maas
      installation; handle correctly installer choices; use installer
      hostname for enlistment if one provided. (LP: #973421)
    - debian/maas-enlist-udeb.templates: Improve wording

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 09 Apr 2012 10:54:47 -0400

maas-enlist (0.3-0ubuntu5) precise; urgency=low

  * debian/maas-enlist-udeb.postinst: Correctly avoid showing tasksel in the
    install process by registering a dummy installer question.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 27 Mar 2012 21:10:23 -0400

maas-enlist (0.3-0ubuntu4) precise; urgency=low

  * debian/maas-enlist-udeb.postinst: If Install new MAAS is selected, avoid
    showing tasksel later in the install process.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Tue, 27 Mar 2012 21:19:53 +0100

maas-enlist (0.3-0ubuntu3) precise; urgency=low

  * debian/maas-enlist-udeb.postinst: Expose MAAS installation option.
  * Update templates and po.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 21 Mar 2012 16:03:19 -0400

maas-enlist (0.3-0ubuntu2) precise; urgency=low

  * debian/control: Add missing Depends on libavahi-core7-udeb,
    libavahi-common3-udeb (LP: #961454)
  * Handle disabling of autodiscovery of maas servers (LP: #961557):
    - debian/maas-enlist-udeb.postinst: Handle new template.
    - debian/maas-enlist-udeb.templates: Add template.
  * debian/po: updated.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 21 Mar 2012 15:59:46 -0400

maas-enlist (0.3-0ubuntu1) precise; urgency=low

  * New upstream bugfix release (LP: #960798)

  [ Dave Walker ]
  * avahi-discover/*: Introduce avahi discovery code, for discovery of a
    MAAS service.

  [ Andres Rodriguez ]
  * debian/rules: Add rules to build avahi-discover.
  * debian/control: Build Deps on libavahi-core-dev, libdebian-installer4-dev,
    libavahi-client-dev
  * debian/maas-enlist-udeb.install: Install maas-avahi-discover.
  * debian/maas-enlist-udeb.postinst: Handle usage of maas-avahi-discover.
  * debian/maas-enlist-udeb.templates: Update accordingly.
  * debian/po: Updated.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 21 Mar 2012 00:42:42 -0400

maas-enlist (0.2-0ubuntu1) precise; urgency=low

  * New upstream bugfix release (LP: #956988)
  [ Jamie Strandboge ]
  * bin/maas-enlist: add https:// support; defensively quote all variables;
    fix argument processing
  * man/maas-enlist.1: Update accordingly.

  [ Andres Rodriguez ]
  * bin/maas-enlist: Add copyright header; Remove server-port option;
    Update maas API path to production one (http://<server>/MAAS/api...)
  * debian/control: Depends on curl-udeb.
  * debian/maas-enlist-udeb.{postinst,templates}: Drop server-port option.
  * debian/po/templates.pot: Update accordingly.
  * man/maas-enlist.1: Update accordingly.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 16 Mar 2012 10:11:00 -0400

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_build:
	$(MAKE) -C avahi-discover

## maas-enlist 0.4%2Bbzr38

=== debian/control ===
Source: maas-enlist
Section: admin
Priority: extra
Maintainer: Andres Rodriguez <andreserl@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), po-debconf, libavahi-core-dev,
 libdebian-installer4-dev, libavahi-client-dev
Standards-Version: 3.9.3
Homepage: http://ubuntu.com

Package: maas-enlist
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wget, archdetect-deb,
 libavahi-core7, libavahi-common3
Description: MAAS enlistment tool
 Tool for enlisting a host with a MAAS server.

Package: maas-enlist-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 wget-udeb,
 configured-network,
 libavahi-core7-udeb,
 libavahi-common3-udeb
XB-Installer-Menu-Item: 2350
Description: Enlist a host with a MAAS server (installer integration)

## maas-enlist 0.4+bzr36

=== debian/changelog ===
maas-enlist (0.4+bzr36-0ubuntu2) saucy; urgency=low

  * debian/patches/01-moonshot-powertype.patch: Add support for moonshot
    power type (LP: #1234177)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 02 Oct 2013 09:39:36 -0400

maas-enlist (0.4+bzr36-0ubuntu1) quantal; urgency=low

  * Fix enlistment when multiple MAC address are being sent (LP: #1065259)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 09 Oct 2012 17:03:12 -0400

maas-enlist (0.4+bzr35-0ubuntu1) quantal; urgency=low

  * debian/control: Add maas-commission package that installs maas-signal
    and maas-ipmi-autodetect.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 09 Oct 2012 16:11:45 -0400

maas-enlist (0.4+bzr32-0ubuntu1) quantal; urgency=low

  * bin/maas-enlist: Add power-type and power-params as parameters (LP: #1063946)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 27 Sep 2012 11:19:49 -0400

maas-enlist (0.4+bzr31-0ubuntu1) quantal; urgency=low

  * Add subarch support (LP: #1056816)

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 26 Sep 2012 18:03:52 +0100

maas-enlist (0.4+bzr30-0ubuntu1) quantal; urgency=low

  * bin/maas-enlist: Fix API path URL determination. (LP: #1052989)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 09 Aug 2012 17:36:34 -0400

maas-enlist (0.4+bzr29-0ubuntu1) quantal; urgency=low

  * bin/maas-enlist: Do not hardcode API path URL. If none is given use
    a default, otherwise use the one given with serverurl (LP: #1034228)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 12 Jul 2012 14:32:03 -0400

maas-enlist (0.4+bzr27-0ubuntu1) quantal; urgency=low

  * Fix after_commissioning_action (LP: #1024010)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 13 Apr 2012 10:08:30 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: maas-enlist
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, wget, archdetect-deb,
+Depends: ${shlibs:Depends}, ${misc:Depends}, curl, archdetect-deb,
  libavahi-core7, libavahi-common3
 Description: MAAS enlistment tool
  Tool for enlisting a host with a MAAS server.
@@ -21,9 +21,18 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- wget-udeb,
+ curl-udeb,
  configured-network,
  libavahi-core7-udeb,
  libavahi-common3-udeb
 XB-Installer-Menu-Item: 2350
 Description: Enlist a host with a MAAS server (installer integration)
+
+Package: maas-commission
+Architecture: all
+Depends: ${misc:Depends},
+ ${python:Depends},
+ freeipmi-tools
+Description: MAAS commissioning tools.
+ Tools used for the commissioning process of a MAAS server.
+

## maas-enlist 0.4+bzr38

=== debian/changelog ===
maas-enlist (0.4+bzr38-0ubuntu4) eoan; urgency=medium

  * Stop producing udebs on i386 where we no longer have d-i or a kernel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 09 Oct 2019 14:57:16 -0600

maas-enlist (0.4+bzr38-0ubuntu3) artful; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Apr 2017 20:51:27 +0000

maas-enlist (0.4+bzr38-0ubuntu2) wily; urgency=medium

  * debian/patches/use-wget.patch: Replace curl usage with wget. Using
    maas-enlist via d-i from the "Multiple machines install using MAAS"
    option on the official CD images should now work again.
  * debian/control: replace curl/curl-udeb with wget/wget-udeb.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 03 Sep 2015 16:12:27 -0400

maas-enlist (0.4+bzr38-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Drop maas-commission binary package. Not really used anywhere.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 09 Oct 2012 17:03:12 -0400

=== debian/control ===
Source: maas-enlist
Section: admin
Priority: extra
Maintainer: Andres Rodriguez <andreserl@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), po-debconf, libavahi-core-dev,
 libdebian-installer4-dev, libavahi-client-dev
Standards-Version: 3.9.3
Homepage: http://ubuntu.com

Package: maas-enlist
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wget, archdetect-deb,
 libavahi-core7, libavahi-common3
Description: MAAS enlistment tool
 Tool for enlisting a host with a MAAS server.

Package: maas-enlist-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: amd64 arm64 armhf ppc64el s390x
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 wget-udeb,
 configured-network,
 libavahi-core7-udeb,
 libavahi-common3-udeb
XB-Installer-Menu-Item: 2350
Description: Enlist a host with a MAAS server (installer integration)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_build:
	$(MAKE) -C avahi-discover

DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
REV=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: .*[+~]bzr([0-9]+).*,\1,p')
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
get-orig-source:
	bzr export -r $(REV) --root=maas-enlist-$(VER).orig \
             maas-enlist_$(VER).orig.tar.gz lp:~maas-maintainers/maas/maas-enlist
